MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023899Community[OCCT] OCCT:Visualizationpublic2013-04-12 15:292013-06-20 12:09
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritycrash 
StatusclosedResolutionno change required 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version 
Summary0023899: Crash in Voxel_ROctBoolDS::SetZero
DescriptionThis crash occurs when destroying Voxel_ROctBoolDS.

I guess Voxel_FastConverter::FillInVolume causes the problem because commenting this line out seems to solve the problem (or at least no crash occurs).

Crash with and without 23889 integrated.
Steps To ReproduceTopoDS_Shape shape = BRepPrimAPI_MakeSphere(gp_Pnt(11,8,11), 7);

Standard_Real delfection = 0.1;
Standard_Integer nbx = 200, nby = 200, nbz = 200;

Voxel_ROctBoolDS theVoxels(0,0,0, 50, 50, 50, nbx, nby, nbz);
Standard_Integer nbThreads = 1;
Voxel_FastConverter fcp(shape, theVoxels, delfection, nbx, nby, nbz, nbThreads);

Standard_Integer progress;
Standard_Boolean c1ok = fcp.Convert(progress);
fcp.FillInVolume(1); //Comment this line to avoid the crash
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023889closedvro Assignment of function parameter has no effect outside the function. 
related to 0023900closedbugmaster Problems displaying Voxel_ROctBoolDS voxels 
child of 0024038closedbugmaster Extending Voxel_FastConverter to work with Voxel_ROctBoolDS 

-  Notes
(0024322)
vro (developer)
2013-05-08 10:07

The method Voxel_FastConverter::FillInVolume() doesn't work with ROctBoolDS voxels. This case is not implemented. I insert a warning about it in the header file.
The change is in CR23899. Please, integrate it into Open CASCADE while the method is really extended to process all types of voxels.
(0024323)
vro (developer)
2013-05-08 10:39

Also, I corrected Voxel_FastConverter::FillInVolume() so that it doesn't raise an exception even for ROctBoolDS type of voxels.
The changes are in the same CR23899 branch.
(0024324)
vro (developer)
2013-05-08 10:40

The bug not fully corrected (the method Voxel_FastConverter::FillInVolume() doesn't work with ROctBoolDS), but exception is gone. Later, the method should be extended to process al types of voxels.
(0024348)
Pawel (developer)
2013-05-08 17:46

Dear vro,

I have compiled current master with 23889 and 23899 integrated and the crash is gone.

Thanks for your patch and the comments.
(0024364)
vro (developer)
2013-05-13 07:50

Dear Mkv,
Integrate the change of this issue please.
The issue may remain "not solved" because later may be it is fixed completely.
(0024806)
mkv (tester)
2013-06-19 18:04

Dear vro,
We will tested and pushed only completed fix.
(0024807)
Pawel (developer)
2013-06-19 18:25

Dear mkv, dear vro,

I suggest to close this issue because the crash as reported initially is gone after integrating this fix. Parallely, I would open another issue regarding ROctBoolDS (e.g. Extending Voxel_FastConverter to work with Voxel_ROctBoolDS).

- Issue History
Date Modified Username Field Change
2013-04-12 15:29 Pawel New Issue
2013-04-12 15:29 Pawel Assigned To => san
2013-04-12 15:29 Pawel Assigned To san => vro
2013-04-12 15:30 Pawel Relationship added related to 0023889
2013-04-12 15:34 Pawel Product Version => 6.6.0
2013-04-12 15:34 Pawel Target Version => 6.7.0
2013-04-12 16:28 Pawel Relationship added related to 0023900
2013-05-08 10:07 vro Note Added: 0024322
2013-05-08 10:39 vro Note Added: 0024323
2013-05-08 10:40 vro Note Added: 0024324
2013-05-08 10:40 vro Status new => feedback
2013-05-08 17:46 Pawel Note Added: 0024348
2013-05-13 07:49 vro Assigned To vro => mkv
2013-05-13 07:50 vro Note Added: 0024364
2013-06-19 18:04 mkv Note Added: 0024806
2013-06-19 18:05 mkv Assigned To mkv => vro
2013-06-19 18:25 Pawel Note Added: 0024807
2013-06-20 08:21 vro Status feedback => reviewed
2013-06-20 08:25 mkv Assigned To vro => bugmaster
2013-06-20 08:25 mkv Status reviewed => feedback
2013-06-20 09:42 bugmaster Status feedback => closed
2013-06-20 09:42 bugmaster Assigned To bugmaster => Pawel
2013-06-20 09:42 bugmaster Resolution open => no change required
2013-06-20 12:09 Pawel Relationship added child of 0024038


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker